﻿
<div ng-controller="shipmentTrackingController as vm">
    <div class="shipmentTracking">
        <form name="form">
            <h1 class="my-header">Shipment Tracking</h1>
            <div class="pnl_search col-xs-12 no-offset">
                <h3 class="col-xs-12">Period</h3>
                <div class="col-xs-12">
                    <div class="row">
                        <div class="form-group col-xs-12 col-md-6">
                            <label for="dpDate">Tran Date</label>
                            <div class="width_100">
                                <select ui-select2="{minimumResultsForSearch: -1}" ng-model="vm.selectedTranDate" class="col-xs-12 no-offset"  data-placeholder="Tran Date">
                                    <option value=""></option>
                                    <option ng-repeat="d in tranDate" ng-selected="d.value == vm.selectedTranDate" value="{{d.value}}">{{d.name}}</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-xs-12">
                    <div class="row">
                        <div class="form-group col-xs-12 col-md-6">
                            <label for="dpPeriodFrom">Date From</label>
                            <div id="dpPeriodFrom" class="input-group input-append date width_100" ng-model="searchParmeter.PeriodFrom" ng-change="vm.checkDate()" ng-disabled="visibleDatePicker" date-picker></div>
                        </div>
                        <div class="form-group col-xs-12 col-md-6">
                            <label for="dpPeriodTo">To</label>
                            <div id="dpPeriodTo" class="input-group input-append date width_100" ng-model="searchParmeter.PeriodTo" ng-change="vm.checkDate()" ng-disabled="visibleDatePicker" date-picker></div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="pnl_body col-xs-12 no-offset">
                <div class="panel-group">
                    <div class="panel panel-default">
                        <div class="panel-heading panel-title-three" data-toggle="collapse" data-target="#collapse1">
                            <span class="panel-title">
                                BY SHIPMENT
                            </span>
                        </div>
                        <div id="collapse1" class="panel-collapse collapse in">
                            <div class="pnl_section">
                                <div class="row">
                                    <div class="form-group col-xs-12 col-md-6">
                                        <label for="dpDate">Month</label>
                                        <div class="width_100">
                                            @*<select-box id="dpDate" ng-model="monthList.code_text"
                                                        data="monthList"
                                                        value="monthList.code_text"
                                                        text="code_text"
                                                        default-text="Booking Date"
                                                        class="my-form-select">
                                            </select-box>*@
                                            <select ui-select2="{minimumResultsForSearch: -1}" ng-model="vm.selectedMonth" class="col-xs-12 no-offset" ng-click="vm.checkDate()" ng-disabled="visibleMonth" data-placeholder="Booking Month">
                                                <option value=""></option>
                                                <option ng-repeat="d in monthList" @*ng-selected="d.code_text == vm.selectedMonth"*@ value="{{d.code_str_value}}">{{d.code_text}}</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-group col-xs-12 col-md-6">
                                        <label for="txtyear">Year</label>
                                        <input id="txtyear" type="number" class="form-control" ng-model="txtYear" placeholder='Year' name="year" min="1950" max="{{vm.currentYear}}" ng-blur="vm.checkDate()"  accountnumber-textbox ng-disabled="visibleMonth" />
                                        <span style="color:#ed0b48;" ng-if="form.year.$error.min">Year should be at least 1950</span>
                                        <span style="color:#ed0b48;" ng-if="form.year.$error.max">Year can not be in the future!</span>         @*color:#a94442;*@                              
                                    </div>
                                    <div class="form-group col-xs-12 col-md-6" ng-if="checkUser == false">
                                        <label for="dpBookingType">Booking Type</label>
                                        <div class="width_100">
                                            @*<select-box id="dpBookingType" ng-model="bookingTypeList.code_text"
                                                        data="bookingTypeList"
                                                        value="bookingTypeList.code_text"
                                                        text="code_text"
                                                        default-text="Booking Type"
                                                        class="my-form-select" tooltip>
                                            </select-box>*@
                                            <select ui-select2="{minimumResultsForSearch: -1}" ng-model="vm.selectedBookingType" class="col-xs-12 no-offset" @*ng-disabled="senderNameVisible"*@ data-placeholder="Booking Type">
                                                <option value=""></option>
                                                <option ng-repeat="d in bookingTypeList" @*ng-selected="d.code_text == vm.selectedBookingType"*@ value="{{d.code_str_value}}">{{d.code_text}}</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-group col-xs-12 col-md-6" ng-if="checkUser == false">
                                        <label for="txtBookingNo">Booking No.</label>
                                        <input id="txtBookingNo" type="text" class="form-control" ng-model="txtBookingNo" placeholder="Booking No." maxlength="50" />
                                    </div>
                                </div>
                                <div class="row" ng-if="checkUser == false">
                                    <div class="col-xs-12 col-md-4">
                                        <div class="checkbox">
                                            <label class="no-offset">
                                                <input id="chkShipmentClose" type="checkbox" ng-model="vm.chkShipmentClose" ng-disabled="true">
                                                <span class="cr"><i class="cr-icon glyphicon glyphicon-ok"></i></span>
                                                Shipment closed
                                            </label>
                                        </div>
                                    </div>
                                    <div class="col-xs-12 col-md-4">
                                        <div class="checkbox">
                                            <label class="no-offset">
                                                <input id="chkMatchStatusCode" type="checkbox" ng-model="vm.chkMatchStatusCode">
                                                <span class="cr"><i class="cr-icon glyphicon glyphicon-ok"></i></span>
                                                Match status code inside history
                                            </label>
                                        </div>
                                    </div>
                                </div>
                                <div class="row" ng-if="checkUser == false">
                                    <div class="col-xs-12 col-md-4">
                                        <div class="checkbox">
                                            <label class="no-offset">
                                                <input id="chkInvoiceIssue" type="checkbox" ng-model="vm.chkInvoiceIssue">
                                                <span class="cr"><i class="cr-icon glyphicon glyphicon-ok"></i></span>
                                                Invoice issued
                                            </label>
                                        </div>
                                    </div>
                                    <div class="col-xs-12 col-md-4">
                                        <div class="checkbox">
                                            <label class="no-offset">
                                                <input id="chkShowPackage" type="checkbox" ng-model="vm.chkShowPackage">
                                                <span class="cr"><i class="cr-icon glyphicon glyphicon-ok"></i></span>
                                                Show package detail {{chkShowPackage}}
                                            </label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="panel panel-default" ng-if="checkUser == false">
                        <div class="panel-heading panel-title-three collapsed" data-toggle="collapse" data-target="#collapse2">
                            <span class="panel-title">
                                BY CONSIGNMENT
                            </span>
                        </div>
                        <div id="collapse2" class="panel-collapse collapse">
                            <div class="pnl_section">
                                <div class="row">
                                    <div class="form-group col-xs-12 col-md-6">
                                        <label for="txtConsignmentNo">Consignment No.</label>
                                        <input id="txtConsignmentNo" type="text" class="form-control" ng-model="txtConsignmentNo" placeholder="Consignment No." maxlength="50" />
                                    </div>
                                    <div class="form-group col-xs-12 col-md-6">
                                        <label for="dpPayerType">Payer Type</label>
                                        <div class="width_100">
                                            <div class="myct-caret">

                                            </div>
                                        </div>
                                        <div class="width_100">

                                            @*<select-box id="dpPayerType" ng-model="payerTypeList.code_text"
                                                        data="payerTypeList"
                                                        value="payerTypeList.code_text"
                                                        text="code_text"
                                                        default-text="Payer Type"
                                                        class="my-form-select" tooltip>
                                            </select-box>*@
                                            @*<select ui-select2="{minimumResultsForSearch: -1}" ng-model="vm.selectedPayerType" class="col-xs-12 no-offset" data-placeholder="Payer Type">
                                                <option value=""></option>
                                                <option ng-repeat="d in payerTypeList"  value="{{d.code_str_value}}">{{d.code_text}}</option>
                                            </select>*@
                                            <select id="multiselect" multiple="multiple" ui-select2="{minimumResultsForSearch: 0}" ng-model="vm.selectedPayerType" class="col-xs-12" data-placeholder="Payer Type">
                                               
                                                <option ng-repeat="d in payerTypeList" value="{{d.code_str_value}}">{{d.code_text}}</option>

                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="form-group col-xs-12 col-md-6">
                                        <label for="txtPayerCode">Payer Code</label>
                                        <div class="col-xs-12 no-offset">
                                            <div class="input-group width_100">
                                                <input id="txtPayerCode" type="text" class="form-control search-input" ng-model="txtPayerCode" placeholder="Payer Code" maxlength="50" ng-blur="vm.clearText()" />
                                                <span class="fa fa-search search-icon" ng-click="vm.searchPayerCode(txtPayerCode)" ng-hide="iconOpenHidden" tabindex="-1"></span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group col-xs-12 col-md-6">
                                        <label for="txtPayerName">Payer Name</label>
                                        <input id="txtPayerName" type="text" class="form-control" ng-model="txtPayerName" placeholder="Payer Name" maxlength="50" disabled="disabled" />
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="form-group col-xs-12 col-md-6">
                                        <label for="txtStatusCode">Status Code</label>
                                        <div class="col-xs-12 no-offset">
                                            <div class="input-group width_100">
                                                <input id="txtStatusCode" type="text" class="form-control search-input" ng-model="txtStatusCode" placeholder="Status Code" maxlength="50" ng-blur="vm.clearText()" />
                                                <span class="fa fa-search search-icon" ng-click="vm.searchStatusCode(txtStatusCode)"></span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group col-xs-12 col-md-6">
                                        <label for="txtStatusDescription">Description</label>
                                        <input id="txtStatusDescription" type="text" class="form-control" ng-model="txtStatusDescription" placeholder="Description" maxlength="50" disabled="disabled" />
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="form-group col-xs-12 col-md-6">
                                        <label for="txtStatusCode">Exception Code</label>
                                        <div class="col-xs-12 no-offset">
                                            <div class="input-group width_100">
                                                <input id="txtExceptionCode" type="text" class="form-control search-input" ng-model="txtExceptionCode" placeholder="Exception Code" maxlength="50" ng-blur="vm.clearText()" />
                                                <span class="fa fa-search search-icon" ng-click="vm.searchExceptionCode(txtExceptionCode)"></span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group col-xs-12 col-md-6">
                                        <label for="txtExceptionDescription">Description</label>
                                        <input id="txtExceptionDescription" type="text" class="form-control" ng-model="txtExceptionDescription" placeholder="Description" maxlength="50" disabled="disabled" />
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="panel panel-default">
                        <div class="panel-heading panel-title-three collapsed" data-toggle="collapse" data-target="#collapse3">
                            <span class="panel-title">
                                BY ROUTE / DESTINATION
                            </span>
                        </div>
                        <div id="collapse3" class="panel-collapse collapse">
                            <div class="pnl_section">
                                <div class="row" ng-if="checkUser == false">
                                    <div class="form-group col-xs-12 col-md-6">
                                        <label for="dpRoute">Route</label>
                                        <div class="width_100">
                                            @*<select-box id="dpRoute" ng-model="pathCode.DbComboText"
                                                        data="pathCode"
                                                        value="pathCode.DbComboText"
                                                        text="DbComboText"
                                                        default-text="Route"
                                                        class="my-form-select" tooltip>
                                            </select-box>*@
                                            <select ui-select2="{minimumResultsForSearch: -1}" ng-model="vm.selectedPathCode" class="col-xs-12 no-offset" @*ng-disabled="senderNameVisible"*@ data-placeholder="Route">
                                                <option value=""></option>
                                                <option ng-repeat="d in pathCode" @*ng-selected="d.code_text == vm.selectedPathCode"*@ value="{{d.DbComboText}}">{{d.DbComboText}}</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-group col-xs-12 col-md-6">
                                        <label for="dpRoute">Route Type</label>
                                        <div class="width_100">
                                            <select ui-select2="{minimumResultsForSearch: -1}" ng-model="vm.selectedRouteType" class="col-xs-12 no-offset" @*ng-disabled="senderNameVisible"*@ data-placeholder="Route Type">
                                                <option value=""></option>
                                                <option ng-repeat="d in routeType" ng-selected="d.value == vm.selectedRouteType" value="{{d.value}}">{{d.name}}</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                @*<div class="row">
                                    <div class="form-group col-xs-12 col-md-6">
                                        <label for="txtRouteCode">Route Code</label>
                                        <div class="col-xs-12 no-offset">
                                            <div class="input-group width_100">
                                                <input id="txtRouteCode" type="text" class="form-control search-input" ng-model="txtRouteCode" placeholder="Route Code" maxlength="50" />
                                                <span class="fa fa-search search-icon"></span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group col-xs-12 col-md-6">
                                        <label for="txtRouteDescription">Description</label>
                                        <input id="txtRouteDescription" type="text" class="form-control" ng-model="txtRouteDescription" placeholder="Description" maxlength="50" disabled="disabled" />
                                    </div>
                                </div>*@
                                <div class="row" ng-if="checkUser == false">
                                    <div class="form-group col-xs-12 col-md-6">
                                        <label for="dpOriginalDistributionCenter">Original Distribution Center</label>
                                        <div class="width_100">
                                            @*<select-box id="dpOriginalDistributionCenter" ng-model="dsOrigin.DbComboText"
                                                        data="dsOrigin"
                                                        value="dsOrigin.DbComboText"
                                                        text="DbComboText"
                                                        default-text="Original Distribution Center"
                                                        class="my-form-select" tooltip>
                                            </select-box>*@
                                            <select ui-select2="{minimumResultsForSearch: -1}" ng-model="vm.selectedOrigin" class="col-xs-12 no-offset" @*ng-disabled="senderNameVisible"*@ data-placeholder="Original Distribution Center">
                                                <option value=""></option>
                                                <option ng-repeat="d in dsOrigin" @*ng-selected="d.code_text == vm.selectedOrigin"*@ value="{{d.DbComboText}}">{{d.DbComboText}}</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-group col-xs-12 col-md-6">
                                        <label for="dpDestinationDistributionCenter">Destination Distribution Center</label>
                                        <div class="width_100">
                                            @*<select-box id="dpDestinationDistributionCenter" ng-model="dsDestination.DbComboText"
                                                        data="dsDestination"
                                                        value="dsDestination.DbComboText"
                                                        text="DbComboText"
                                                        default-text="Destination Distribution Center"
                                                        class="my-form-select" tooltip>
                                            </select-box>*@
                                            <select ui-select2="{minimumResultsForSearch: -1}" ng-model="vm.selectedDestination" class="col-xs-12 no-offset" @*ng-disabled="senderNameVisible"*@ data-placeholder="Destination Distribution Center">
                                                <option value=""></option>
                                                <option ng-repeat="d in dsDestination" @*ng-selected="d.code_text == vm.selectedOrigin"*@ value="{{d.DbComboText}}">{{d.DbComboText}}</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="form-group col-xs-12 col-md-6">
                                        <label for="txtDestinationPostalCode">Destination Postal Code</label>
                                        <div class="col-xs-12 no-offset">
                                            <div class="input-group width_100">
                                                <input id="txtDestinationPostalCode" type="text" class="form-control search-input" ng-model="txtDestinationPostalCode" placeholder="Destination Postal Code" ng-blur="vm.clearText()" maxlength="50" />
                                                <span class="fa fa-search search-icon" ng-click="vm.searchZipCodeSender(txtDestinationPostalCode)"></span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group col-xs-12 col-md-6">
                                        <label for="txtDestinationPostalDescription">Description</label>
                                        <input id="txtDestinationPostalDescription" type="text" class="form-control" ng-model="txtDestinationPostalDescription" placeholder="Description" maxlength="50" disabled="disabled" />
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="form-group col-xs-12 col-md-6">
                                        <label for="txtDestinationStateProvince">Destination State / Province</label>
                                        <div class="col-xs-12 no-offset">
                                            <div class="input-group width_100">
                                                <input id="txtDestinationStateProvince" type="text" class="form-control search-input" ng-model="txtDestinationStateProvince" ng-blur="vm.clearText()" placeholder="Destination State / Province" maxlength="50" />
                                                <span class="fa fa-search search-icon" ng-click="vm.searchStateCode(txtDestinationStateProvince)"></span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group col-xs-12 col-md-6">
                                        <label for="txtDestinationStateProvinceDescription">Description</label>
                                        <input id="txtDestinationStateProvinceDescription" type="text" class="form-control" ng-model="txtDestinationStateProvinceDescription" placeholder="Description" maxlength="50" disabled="disabled" />
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <div class="pnl_footer col-xs-12 no-offset">
                <input id="btnReset" type="button" class="btn btn-reset" value="RESET" ng-click="vm.Reset()">
                <input id="btnReset" type="button" ng-disabled="form.$invalid" class="btn btn-submit float-right" value="EXPORT" ng-click="vm.GenerateReport()">
            </div>
        </form>
    </div>
</div>

<style>
    .shipmentTracking {
        padding: 0 60px;
        margin-top: 40px;
        letter-spacing: 0.5px;
        color: #232D48;
    }

        .shipmentTracking .pnl_search {
            margin: 20px 0;
            padding-bottom: 10px;
            background-color: #EDEDED;
        }

        .shipmentTracking .pnl_section {
            margin: 15px 0;
        }

        .shipmentTracking .pnl_footer {
            padding-top: 40px;
            margin-bottom: 40px;
            border-top: 1px solid #dedbdb;
        }

        .shipmentTracking .panel {
            box-shadow: none;
        }

        .shipmentTracking .panel-title {
            font-weight: bold;
            cursor: default;
        }

        .shipmentTracking .panel-heading {
            border-radius: 0px;
            letter-spacing: 1px;
        }

            .shipmentTracking .panel-heading.collapsed {
                background-color: #232D48;
            }


    /* Overwrite */
    .calendar-input {
        height: 40px;
        border: 1px solid #EDEDED;
        border-radius: 0;
    }

    .calendar-icon {
        width: 40px;
        background-color: #232D48;
        color: #fff;
    }

    .search-input {
        padding: 5px;
        height: 40px;
        border: 1px solid #EDEDED;
        border-radius: 0;
        display: table-cell;
        width: 100%;
    }

    .search-icon {
        width: 40px;
        background-color: #232D48;
        color: #fff;
        display: table-cell;
        padding: 2px 12px 0;
        vertical-align: middle;
        cursor: pointer;
    }

    .row {
        margin-right: -15px;
        margin-left: -15px;
    }

    .form-control {
        height: 40px;
        box-shadow: none;
    }

    .select2-container .select2-choice {
        height: 40px;
    }

        .select2-container .select2-choice > .select2-chosen {
            margin-top: 4px;
        }

        .select2-container .select2-choice .select2-arrow {
            margin-top: 5px;
        }

    .btn {
        min-width: 190px;
        height: 54px;
        padding: 10px;
        font-weight: bold;
    }

    .btn-reset, .btn-reset:focus {
        border: 1px solid #dedbdb;
        color: #627281;
        background-color: #EDEDED;
    }

    .btn-submit, .btn-submit:focus {
        border: 1px solid #232D48;
        color: #fff;
        background-color: #232D48;
    }

    .dropdown-menu-picker .table-condensed {
        width: 100%;
    }

    .dropdown-menu-picker {
        width: calc(50% - 130px) !important;
    }

    @@media screen and (max-width: 992px) {
        .dropdown-menu-picker {
            width: calc(100% - 190px) !important;
        }
    }

    /* Utility */
    .omega {
        padding-left: 0 !important;
    }

    .no-offset {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    .width_100 {
        width: 100%;
    }

    .float-right {
        float: right;
    }



    
</style>

<style>
    /* Animated radios & checkboxes (noJS)

            Ref: https://bootsnipp.com/tags/checkbox
        */
    .checkbox label:after,
    .radio label:after {
        content: '';
        display: table;
        clear: both;
    }

    .checkbox .cr,
    .radio .cr {
        position: relative;
        display: inline-block;
        border: 2px solid #232D48;
        border-radius: 0em;
        width: 1.45em;
        height: 1.4em;
        float: left;
        margin-right: .5em;
    }

    .radio .cr {
        border-radius: 50%;
    }

        .checkbox .cr .cr-icon,
        .radio .cr .cr-icon {
            position: absolute;
            font-size: .8em;
            line-height: 0;
            top: 50%;
            left: 20%;
        }

        .radio .cr .cr-icon {
            margin-left: 0.04em;
        }

    .checkbox label input[type="checkbox"],
    .radio label input[type="radio"] {
        display: none;
    }

        .checkbox label input[type="checkbox"] + .cr > .cr-icon,
        .radio label input[type="radio"] + .cr > .cr-icon {
            opacity: 0;
            transition: all 0s ease-in;
        }

        .checkbox label input[type="checkbox"]:checked + .cr > .cr-icon,
        .radio label input[type="radio"]:checked + .cr > .cr-icon {
            margin-left: -1px;
            opacity: 1;
        }

        .checkbox label input[type="checkbox"]:disabled + .cr,
        .radio label input[type="radio"]:disabled + .cr {
            margin-left: -1px;
            opacity: .5;
        }

        .checkbox label input[type="checkbox"]:checked + .cr {
            background-color: #FF6505;
            border-color: #FF6505;
            color: #fff;
        }
</style>

<script>
    $(function () {
        setTimeout(function () {
            $(".calendar-input").attr("placeholder", "dd/mm/yyyy");
        }, 100);
    });

    //$(document).ready(function () {
    //    $('#multiselect').multiselect({
    //        buttonWidth: '160px',
    //        includeSelectAllOption: true,
    //        nonSelectedText: 'Select an Option'
    //    });
    //});
</script>

